import { FC } from "react"
import { View, Text } from '@tarojs/components'
import IconFont, { IconNames } from '../iconfont/iconfont'
import styles from './index.module.scss'
import classnames from 'classnames'

type PropsType = {
  iconName: IconNames
  iconSize?: number
  svg?: boolean
  text?: string
  children?: React.ReactNode
  customClass?: string
  customStyle?: React.CSSProperties
  textClassName?: string
}

const IconText: FC<PropsType> = (props) => {
  const { children, svg = false, iconName, iconSize = 40, text = '' } = props
  return (
    <View className={classnames(styles.iconText, props.customStyle, props.customClass)}>
      {svg ? <IconFont name={iconName} size={iconSize}></IconFont> : <Text className={classnames('iconfont', iconName, styles.iconfont)}></Text>}
      {children ? children : <Text className={classnames(props.textClassName)}>{text}</Text>}
    </View>
  )
}
export default IconText
