import { formatPriceDiv } from '@/common/format'
import NormalButton from '@/components/normalButton'
import { View, Text } from '@tarojs/components'
import { memo, useState } from 'react'
import styles from './index.module.scss'
import MCheckbox from '@/components/checkbox'

type PropsType = {
  onDelete?: Function
  onSelectCheckbox?: (bool: boolean) => void
}

export default memo<PropsType>((props) => {
  const { onDelete, onSelectCheckbox } = props

  const handleSettle = () => {
    onDelete && onDelete()
  }

  const selectCallBack = () => {
    setSelectAll(true)
    onSelectCheckbox && onSelectCheckbox(true)
  }
  const closeCallBack = () => {
    setSelectAll(false)
    onSelectCheckbox && onSelectCheckbox(false)

  }

  const [isSelectAll, setSelectAll] = useState(false)

  return (
    <View className={styles.bottomBar}>
      <View className={styles.bottomLeft}>
        <MCheckbox
          status={isSelectAll}
          round
          size='small'
          onSelect={selectCallBack}
          onClose={closeCallBack}
          customStyles={{ color: '$color: #000000, $alpha: 0.6' }}>
          全选
        </MCheckbox>
      </View>
      <View className={styles.bottomRight}>
        <NormalButton plain round type='danger' size='normal' onClick={handleSettle} customStyles={{ backgroundColor: '#F44761' }}>
          <Text style={{ fontSize: '32rpx' }}>删除</Text>
        </NormalButton>
      </View>
    </View>
  )
})
