import { formatPriceDiv } from '@/common/format'
import NormalButton from '@/components/normalButton'
import { View, Text } from '@tarojs/components'
import { memo } from 'react'
import styles from './index.module.scss'

type PropsType = {
  amount?: number
  onSettleAccount?: Function
}

export default memo<PropsType>((props) => {
  const { onSettleAccount, amount = 0 } = props

  const handleSettle = () => {
    onSettleAccount && onSettleAccount()
  }

  return (
    <View className={styles.bottomBar}>
      <View className={styles.bottomLeft}>
        <Text className={styles.moneyText}>预估金额：</Text>
        <Text className={styles.moneyNumber}>
          <Text className={styles.unit}>¥</Text>
          {amount}
        </Text>
      </View>
      <View className={styles.bottomRight}>
        <NormalButton plain type='primary' round size='normal' onClick={handleSettle}>
          <Text style={{fontSize: '32rpx'}}>结算</Text>
        </NormalButton>
      </View>
    </View>
  )
})
